// dans.C Version 7.40  Copyleft (c) 杉本典夫
// Time-stamp: <2023-12-15 08:25:52 tac>
//
// dans.1を表示するためのコマンド。
//
// 使用ライブラリ:libdans.so, libfun.so
// コンパイル法 :g++ -O -s -W dans dans.C -I/usr/local/include
//              -L/usr/local/lib -ldans -lfun

#include <dans.H>               // dans用ヘッダファイル(mat.H含む)

using namespace dans;           // dans名前空間使用(名前空間matvec含む)

const vecstr USAGE =            // プログラム使用法
{
  "dans  Version 7.40          Copyleft (Vo\\oV) 2023 杉本典夫",
  "書式:dans",
  "機能:dans.1を表示します。",
  "オプション:なし"
};

int main(int argc, char* argv[]) // メインルーチン
{
  string pname = getname(argv[0]); // パス名なしのプログラム名取得
  try                           // 例外監視
  {
    help(pname, USAGE);
  }
  catch (help_except& helpex)   // ヘルプファイル表示
  { return 0; }
  catch (option_error& opterr)  // オプション指定エラー
  { return 1; }
  catch (runtime_error& rterr)  // 実行時エラー
  {
    disperr(pname, rterr.what());
    return 2;
  }
  catch (...)                   // 予期せぬ例外
  {
    disperr(pname, "内容不明なエラー発生！");
    return 255;
  }
  return 0;
}
